Groovy 1.7.10

## org.codehaus.groovy.runtime.callsite
[Java] Class PojoMetaClassSite

    java.lang.Object
      org.codehaus.groovy.runtime.callsite.AbstractCallSite
          org.codehaus.groovy.runtime.callsite.MetaClassSite
              org.codehaus.groovy.runtime.callsite.PojoMetaClassSite

    public class PojoMetaClassSite
    extends MetaClassSite

POJO call site meta class - cached method - not cached

Authors:
  Alex Tkachman

Field Summary

Fields inherited from class MetaClassSite
metaClass

Fields inherited from class AbstractCallSite
array, index, name, usage

Constructor Summary
`PojoMetaClassSite(CallSite site, MetaClass metaClass)`

Method Summary
`Object` | `call(Object receiver, Object[] args)`
`protected boolean` | `checkCall(Object receiver)`

Methods inherited from class AbstractCallSite

acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty, getUsage

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### PojoMetaClassSite

    public PojoMetaClassSite(CallSite site, MetaClass metaClass)

Method Detail

### call

    public Object call(Object receiver, Object[] args)

### checkCall

    protected final boolean checkCall(Object receiver)

Copyright © 2003-2010 The Codehaus. All rights reserved.